import math
import numpy as np
import matplotlib.pyplot as plt

import struct

#"C:\Users\quent\OneDrive\Bureau\ENSC\TransD\Framboisier\02400001.TXT"
#! /usr/bin/env python3
# -*- coding: UTF-8 -*-


f = open(link , "rb")#ouvertuture  du fichier txt traiter
taille=100
resultat=np.zeros(taille)
donnees=f.readLine()
k=0
for i in range(0,taille):
    j=k+1
    while(donnees[j]!='\t'):
        j+=1
    resultat[i]=donnees[k:j]
    k=j
print(resultat)


periode=taille/250000
puissance=(1/periode)


x = 0
somme = (resultat[0] + resultat[taille-1]) / 2
for i in range(taille-1):
    x += periode
    somme += resultat[x]
integrale=somme / taille

